Magnolia 4.5 reached end of life on June 30, 2016. This branch is no longer supported, see End-of-life policy.

Page tree
Skip to end of metadata
Go to start of metadata

What has changed since Magnolia 4.5.10

Magnolia 4.5.11 is a maintenance release that delivers the following fixes and enhancements:

  • Filter out jcr: and mgnl: properties from categories nodes so they don't get processed as categories.
  • Fix an issue where a template variation always inherited the renderer of its parent template. Now you can define a different renderers variations, for example to target difference channels.
  • Fix an issue where the Public User Registration module installed configuration for the demo-project.
  • Don't render deleted optional areas on public instances. Rendering empty areas was made configurable in 4.5.10.
  • Make fckEditor's workspace browser aware of site definitions. This allows the use of shortened URLs.
  • Don't render cms:area HTML comments in the preview mode. Add an application/json mimetype. If a page template renders JSON instead of HTML, Magnolia no longer renders HTML comments in the preview mode on the author instance because they are not valid for JSON.

An aggregated change log for 4.5.11 contains all the changes.

This release is a recommended update for all users of Magnolia 4.5.

Updated modules

This release includes the following new module versions:

  • Categorization 1.2.8 (CE)
  • DMS 1.6.9 (CE)
  • Extended Templating Kit 2.0.12 (CE)
  • Migration 1.2.5 (CE)
  • Public User Registration 1.4.5 (CE)
  • RSS Aggregator 1.4.3 (CE)
  • Standard Templating Kit 2.0.12 (CE)
  • Magnolia Extended Templating Kit 2.0.12 (EE)
  • Magnolia Soft Locking Module 2.0.3 (EE)

The Magnolia team would also like to thank everyone who reported issues, contributed patches, or simply commented on issues for this release. Your continued interest helps us make Magnolia better. Special thanks go to Tom Wespi, Will Scheidegger, Kaushal Parikh, Sean McMains, Adrien Berthou, Frank Sommer and Nils Breunese.

How to update from Magnolia 4.5.9

Unable to render {include} The included page could not be found.

How to migrate from Magnolia 4.4.7

Migration is your starting point. You should understand that migration is not a simple update but an effort that needs to be planned ahead.

How to migrate from versions prior to 4.4.6

Updating from a version prior to 4.4.6 directly to 4.5.x does not work. You need to first update to 4.4.6, then follow the procedure described in Migration. Finally, follow How to update from Magnolia 4.5.9 above.

Known issues

See: Known issues.